%define ver	O.8.10
%define rel	11mdk
%define prefix	/usr/X11R6

Summary:	Eterm Enlightened Terminal Emulator for X Window
Name:		Eterm
Version:	%ver
Release:	%rel
Copyright:	GPL
Group:		Terminals
BuildRequires: XFree86-devel, imlib-devel, libjpeg-devel, libpng-devel, libtiff-devel, libungif-devel, utempter-devel, zlib-devel

Source:		Eterm-%{ver}.tar.bz2
Source1:	Eterm-bg-scale-1.tar.bz2
Source2:	Eterm-bg-scale-2.tar.bz2
Source3:	Eterm-bg-tile.tar.bz2
Source4:	Eterm-mandrake-theme
Source5:	Eterm_menu
Source6:	Eterm-48.xpm
Source7:	Eterm-32.xpm
Source8:	Eterm-16.xpm
Source9:	Eterm-themes-mutt-Main.in.bz2

Patch0:		Eterm-%{ver}-utempter-theme.patch.bz2
Patch1:		Eterm-del.patch.bz2

BuildRoot:	%{_tmppath}/Eterm-%ver-%rel-root
URL:		http://eterm.sourceforge.net/
Requires:	imlib >= 1.8

%description
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, including AfterStep,
BlackBox, 4DWM, CDE, KDE, GNOME, fvwm, and even twm, although it is designed
to work and integrate best with Enlightenment.

%package devel
Requires:	%{name} = %{version}-%{release}
Summary:	Devel files for Eterm
Group:		Development/Other

%description devel
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, including AfterStep,
BlackBox, 4DWM, CDE, KDE, GNOME, fvwm, and even twm, although it is designed    to work and integrate best with Enlightenment.

This package provides the necessary development libraries and include files
to allow you to develop programs using Wine environment.


%prep

%setup -q -n Eterm-%{ver} 1
%patch0 -p1
%patch1	-p0

tar yxf %{SOURCE1}
tar yxf %{SOURCE2}
tar yxf %{SOURCE3}

cp -fv %SOURCE9 themes/mutt/MAIN.in

cd Eterm/bg
mv -f scale/* ../../bg/scale/
mv -f tile/* ../../bg/tile/
cd $RPM_BUILD_DIR/%{name}-%{version}
rm -fr Eterm

%build
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix}
%make

%install
make install prefix=$RPM_BUILD_ROOT%{prefix}

( cd $RPM_BUILD_ROOT
  mv .%{prefix}/bin/Eterm .%{prefix}/bin/Eterm-%{ver}
  cd $RPM_BUILD_ROOT%{prefix}/bin
  ln -sf Eterm-%{ver} Eterm
  cd $RPM_BUILD_ROOT
  chmod +x .%{prefix}/lib/lib*so* ||:
)

# Install Mandrake Theme
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{prefix}/share/Eterm/themes/Eterm/MAIN

# Install icons
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
cp %{SOURCE6} $RPM_BUILD_ROOT%_liconsdir/Eterm.xpm
cp %{SOURCE7} $RPM_BUILD_ROOT%_iconsdir/Eterm.xpm
cp %{SOURCE8} $RPM_BUILD_ROOT%_miconsdir/Eterm.xpm

# Install menu
install -m 755 -d $RPM_BUILD_ROOT%_menudir
install -m 644 $RPM_SOURCE_DIR/Eterm_menu $RPM_BUILD_ROOT%_menudir/Eterm

%files
%defattr(-, root, root,0755)
%_iconsdir/Eterm.xpm
%_liconsdir/Eterm.xpm
%_miconsdir/Eterm.xpm
%_menudir/*
%{prefix}/bin/Et*
%{prefix}/bin/Esetroot
%{prefix}/lib/*.so
%prefix/share/Eterm/pix
%prefix/share/Eterm/themes
%{prefix}/man/man1/Eterm.1.bz2
%doc COPYING
%doc ChangeLog
%doc README

%files devel
%defattr(-,root,root,-)
%{prefix}/lib/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/sbin/ldconfig

%post devel
/sbin/ldconfig

%postun
%{clean_menus}	
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%changelog
* Fri Sep 25 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-11mdk
- Fix keyboard section for Mutt theme (thanks to Ben Reser)

* Fri Sep 01 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-10mdk
- Fix delete key problem (thanks to Anton Graham)
- Make RPMLint happy

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> O.8.10-9mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8.10-8mdk
- run update-menu in post and postun sections
- fix version 
- SMP build/check

* Wed Mar 29 2000 David BAUDENS <baudens@mandrakesoft.com> 0.16-7mdk
- Menu support
- Disable visual bell
- Fix a typo in Summary

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-6mdk
- Enable Mandrake Theme

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-5mdk
- Use new Group
- Use %%{_tmppath} for BuildRoot
- Update Description

* Mon Jan 03 2000 David BAUDENS <baudens@mandrakesoft.com>
- Fix name

* Sun Dec 26 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix bg

* Sat Dec 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add utemper patch from Tim POWERS <tim@redhat.com>

* Tue Nov 25 1999 - David BAUDENS <baudens@mandrakesoft.com> 
- 0.8.10 
- Make relocatable
- Clean up spec file
  
* Wed Dec 30 1998 mej <mej@mw.3com.com> 
- Added spec file.  Created by techn0ir <technoir@themes.org> 
- Modified spec file for Mandrake <johnb@mandrakesoft.com> 
